RT_TBX_DELETE(8)

NAME
rt_tbx_delete - delete a typed mailbox

SYNOPSIS
#include <rtai_sched.h>

int rt_tbx_delete(TBX *tbx);

DESCRIPTION
rt_tbx_delete removes a typed mailbox previously created with rt_tbx_init(8). tbx points to the structure used in the corresponding call to rt_tbx_init(8).

RETURN VALUES
On success 0 is returned. On failure a negative value is returned as described below.

ERRORS
-EINVAL tbx points to an invalid mailbox.
-EFAULT tbx data was found in an invalid state.